Seeking with remote control interface does not work
Description

| am using the remote control interface over the socket transport for replaying a bag file. It seems that the seek method does not
work. In python | use

controlServer.seek.async(0).get(5)

but after issuing an

controlServer.emitandnext.async().get(5)

| always receive a different event. So it seems that | am constantly progressing in the tide file and not seeking back to zero position. |
am also not receiving an error in the seek method.

History

#1 - 02/12/2013 09:33 PM - J. Moringen
- Status changed from New to In Progress

Trying to reproduce.

#2 - 02/12/2013 09:38 PM - J. Moringen
- Status changed from In Progress to Feedback

- Assignee set to J. Moringen

| cannot reproduce (with master). Can you provide the log file in question?

#3 - 02/12/2013 09:54 PM - J. Moringen

Please provide the output of bag-play --version as well.

#4 - 02/12/2013 10:01 PM - J. Moringen

Also, does this only happen for backwards seeks?

#5 - 02/15/2013 08:25 PM - J. Moringen
@Johannes: did you verify that the problem was caused by using an old version?

#6 - 02/19/2013 11:08 AM - J. Wienke
- Status changed from Feedback to Resolved

This was fixed with an update of the 0.7 version.
